#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# @Time    : 2022/12/9 00:08
# @Author  : Shitou
# @FileName: handle_path.py
# @Software: PyCharm
"""
封装获取路径
"""
import os

# 项目根目录
Base_Path = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))
# 测试用例的路径
TestCase_Path = os.path.join(Base_Path, "testcase")
# 测试报告的路径
Report_Path = os.path.join(Base_Path, "report")
# 日志的路径
Log_Path = os.path.join(Base_Path, "logs")
# 测试数据的Excel
DataExcel_Path = os.path.join(Base_Path, "data")
# 配置文件的路径
Config_Path = os.path.join(Base_Path, "conf")

TeachingAffairs_path = os.path.join(DataExcel_Path, "teaching_affairs")  # 教务系统管理菜单（学校）
System_path = os.path.join(DataExcel_Path, "system")  # 系统管理菜单（学校）
Internship_path = os.path.join(DataExcel_Path, "Internship_preparation")  # 实习准备菜单（学校）
Student_practice = os.path.join(DataExcel_Path, "student_practice")  # 学生实习（学生小程序）
Internship_manage = os.path.join(DataExcel_Path, "Internship_manage")  # 实习管理（学校）
